<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Quản lý nhân viên</title>

	<!-- Font Awesome -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css"
		integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A=="
		crossorigin="anonymous" referrerpolicy="no-referrer" />

	<!-- Bootstrap 4 -->
	<link rel="stylesheet" href="css/bootstrap.min.css">

	<!-- JQuery UI -->
	<link rel="stylesheet" href="css/jquery-ui.min.css">

	<!-- Animate -->
	<!-- <link rel="stylesheet" href="css/animate.css"> -->

	<!-- My CSS -->
	<link rel="stylesheet" href="css/modal.css">

	<link rel="stylesheet" href="css/style4.css">

	<link rel="stylesheet" type="text/css" href="css/main.css">
</head>

<body id="body">

	<div class="wrapper">
		<!-- Sidebar Holder -->
		<nav id="sidebar">
			<div class="sidebar-header">
				<h3>Bootstrap Sidebar</h3>
				<strong>BS</strong>
			</div>

			<ul class="list-unstyled components">
				<li class="active">
					<a href="#homeSubmenu">
						<i class="fa fa-home"></i>
						Home
					</a>
				</li>
				<li>
					<a href="#">
						<i class="fa fa-briefcase"></i>
						About
					</a>
					<a href="#pageSubmenu">
						<i class="fa fa-files-o"></i>
						Pages
					</a>
				</li>
				<li>
					<a href="#">
						<i class="fa fa-link"></i>
						Portfolio
					</a>
				</li>
				<li>
					<a href="#">
						<i class="fa fa-paperclip"></i>
						FAQ
					</a>
				</li>
				<li>
					<a href="#">
						<i class="fa fa-paper-plane"></i>
						Contact
					</a>
				</li>
			</ul>

			<ul class="list-unstyled CTAs">
				<li><a href="https://bootstrapious.com/tutorial/files/sidebar.zip" class="download">Download source</a>
				</li>
				<li><a href="https://bootstrapious.com/p/bootstrap-sidebar" class="article">Back to article</a></li>
			</ul>
		</nav>

		<!-- Page Content Holder -->
		<div id="content">
			<nav class="navbar navbar-default">
				<div class="container-fluid">

					<div class="navbar-header">
						<button type="button" id="sidebarCollapse" class="btn btn-info navbar-btn">
							<i class="glyphicon glyphicon-align-left"></i>
							<span>Toggle Sidebar</span>
						</button>
					</div>

					<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
						<ul class="nav navbar-nav navbar-right">
							<li><a href="#">Page</a></li>
							<li><a href="#">Page</a></li>
							<li><a href="#">Page</a></li>
							<li><a href="#">Page</a></li>
						</ul>
					</div>
				</div>
			</nav>


			<div class="container">
				<div class="card text-center">
					<!-- Header -->
					<div class="card-header myCardHeader">
						<div class="row">
							<div class="col-md-6">
								<h3 class="text-left text-primary font-weight-bold">Danh sách nhân viên</h3>
							</div>
							<div class="col-md-6 text-right">
								<button class="btn btn-primary" id="btnThem" data-toggle="modal"
									data-target="#myModal">Thêm nhân viên</button>
							</div>
						</div>
					</div>

					<!-- Body -->
					<div class="card-body">
						<div class="row mb-3">
							<div class="col">
								<div class="input-group">
									<input type="text" class="form-control" placeholder="Loại nhân viên" id="ranking">
									<div class="">
										<button class="btn btn-primary" id="empSearchBtn"
											onclick="searchEmpRanking()"><i class="fa fa-search"></i></button>
									</div>
								</div>
							</div>
						</div>
						<div id="searchResult" class="my-5"></div>
						<table class="table table-bordered table-hover myTable">
							<thead class="text-primary">
								<tr>
									<th class="nowrap">
										<span class="mr-1">Tài khoản</span>
										<i class="fa fa-arrow-up" id="SapXepTang"></i>
										<i class="fa fa-arrow-down" id="SapXepGiam"></i>
									</th>
									<th>Họ và tên</th>
									<th>Email</th>
									<th>Ngày làm</th>
									<th>Chức vụ</th>
									<th>Tổng lương</th>
									<th>Xếp loại</th>
									<th><em class="fa fa-cog"></em></th>
								</tr>
							</thead>
							<tbody id="tableDanhSach">
								<tr>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td>
										<button class="btn btn-success mr-2">
											<i class="fa-solid fa-pen-to-square"></i>
										</button>
										<button class="btn btn-danger">
											<i class="fa-solid fa-trash"></i>
										</button>

									</td>
								</tr>
							</tbody>
						</table>
					</div>

					<!-- Footer -->
					<div class="card-footer myCardFooter">
						<nav>
							<ul class="pagination justify-content-center" id="ulPhanTrang">

							</ul>
						</nav>
					</div>
				</div>
			</div>

		</div>
	</div>


	<!-- The Modal -->
	<div class="modal fade" id="myModal">
		<div class="modal-dialog">
			<div class="modal-content">

				<header class="head-form mb-0">
					<h2 id="header-title">Log In</h2>
				</header>

				<!-- Modal Header -->
				<!-- 	<div class="modal-header">
					<h4 class="modal-title" id="modal-title">Modal Heading</h4>
					<button type="button" class="close" data-dismiss="modal">&times;</button>
				</div> -->

				<!-- Modal body -->
				<div class="modal-body">
					<form role="form">

						<div class="form-group" style="display:none">
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text"><i
											class="fa-sharp fa-solid fa-id-card-clip"></i></span>
								</div>
								<input type="text" name="employeeId" id="employeeId" class="form-control input-sm"
									placeholder="employee id" readonly>
							</div>
						</div>



						<div class="form-group">
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text"><i class="fa fa-user"></i></span>
								</div>
								<input type="text" name="username" id="username" class="form-control input-sm"
									placeholder="username">
							</div>

							<span class="sp-thongbao" id="usernameError"></span>
						</div>

						<div class="form-group">
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text"><i class="fa fa-address-book"></i></span>
								</div>
								<input type="name" name="fullName" id="fullName" class="form-control input-sm"
									placeholder="Full Name">
							</div>
							<span class="sp-thongbao" id="fullNameError"></span>
						</div>

						<div class="form-group">
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text"><i class="fa fa-envelope"></i></span>
								</div>
								<input type="email" name="email" id="email" class="form-control input-sm"
									placeholder="Email">
							</div>

							<span class="sp-thongbao" id="emailError"></span>
						</div>

						<div class="form-group">
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text"><i class="fa fa-key"></i></span>
								</div>
								<input type="password" name="password" id="password" class="form-control input-sm"
									placeholder="Password">
							</div>
							<span class="sp-thongbao" id="passwordError"></span>
						</div>

						<div class="form-group">
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text"><i class="fa fa-calendar"></i></span>
								</div>
								<input type="text" name="startDate" id="startDate" class="form-control"
									placeholder="start Date">
							</div>

							<span class="sp-thongbao" id="dateError"></span>
						</div>

						<div class="form-group">
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text"><i class="fa fa-money" aria-hidden="true"></i></span>
								</div>
								<input type="text" name="basicSalary" id="basicSalary" class="form-control input-sm"
									placeholder="Basic Salary">
							</div>
							<span class="sp-thongbao" id="salaryError"></span>
						</div>
						<div class="form-group">
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text"><i class="fa fa-briefcase"></i></span>
								</div>
								<select class="form-control" id="title">
									<option value="">Choose title</option>
									<option value="director">director</option>
									<option value="head">head of department</option>
									<option value="employee">employee</option>
								</select>
							</div>

							<span class="sp-thongbao" id="titleError"></span>
						</div>
						<div class="form-group">
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text"><i class="fa fa-clock-o"
											aria-hidden="true"></i></span>
								</div>
								<input type="text" name="workingHour" id="workingHour" class="form-control input-sm"
									placeholder="working hour">
							</div>
							<span class="sp-thongbao" id="workingHourError"></span>
						</div>

					</form>
				</div>

				<!-- Modal footer -->
				<div class="modal-footer" id="modal-footer">
					<button id="btnThemNV" type="button" class="btn btn-success" onclick="addEmployee()">Thêm người
						dùng</button>
					<button id="btnCapNhat" type="button" class="btn btn-success" onclick="updateEmployeeInfo()">Cập
						nhật</button>
					<button id="btnDong" type="button" class="btn btn-danger" data-dismiss="modal"
						onclick="clearInfo()">Đóng</button>
				</div>

			</div>
		</div>
	</div>
	<!-- Bootstrap -->
	<script src="js/jquery.min.js"></script>
	<script type="text/javascript" src="js/jquery.easing.min.js"></script>
	<script type="text/javascript" src="js/popper.min.js"></script>
	<script type="text/javascript" src="js/bootstrap.min.js"></script>

	<!-- Date Picker -->
	<!-- <script src="js/jquery-ui.min.js"></script> -->
	<script src="./js/jquery-ui.js"></script>
	<script src="js/datepicker.js"></script>

	<!-- Wow -->
	<!-- <script src="js/wow.min.js"></script>	
	<script>
		new WOW().init();
	</script>  -->

	<!-- <script src="js/modal.js"></script> -->


	<script type="text/javascript">
		$(document).ready(function () {
			$('#sidebarCollapse').on('click', function () {
				$('#sidebar').toggleClass('active');
			});
		});
	</script>

	<script src="./model/model.js"></script>
	<!-- <script src="./validate"></script> -->
	<script src="./controller/controller.js"></script>
	<script src="./validate/validate.js"></script>
	<script src="index.js"></script>
</body>

</html>